<div class="breadcrumb-wrap">
    <div class="container-fluid">
        <ul class="breadcrumb">
            <li class="breadcrumb-item"><a href="/home">Home</a></li>
            <li class="breadcrumb-item"><a href="/promotion">Promotions</a></li>
            <li class="breadcrumb-item active">Cart</li>
        </ul>
    </div>
</div>
<div class="cart-page">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-8">
                <div class="cart-page-inner">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr>
                                    <th>Product</th>
                                    <th>Price</th>
                                    <th>Quantity</th>
                                    <th>Total</th>
                                    <th>Remove</th>
                                </tr>
                            </thead>
                            <tbody class="align-middle">
                                <tr *ngFor="let i of promo"> 
                                    <td>
                                        <div class="img">
                                         <img src="http://127.0.0.1:8887/{{i?.img}}" alt="Image">
                                            <p>{{i.name}}</p>
                                        </div>
                                    </td>
                                    <td>{{i.price}} DT</td>
                                    <td>
                                        <div class="qty">
                                            
                                            <input type="text" value="{{i?.qte}}">
                                            
                                        </div>
                                    </td>
                                    <td>{{i?.price * i?.qte}}</td>
                                    <td><button (click)="removepromo(i)"><i class="fa fa-trash"></i></button></td>
                                </tr>
                               
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="cart-page-inner">
                    <div class="row">
                        <div class="col-md-12">
                           
                        </div>
                        <div class="col-md-12">
                            <div class="cart-summary">
                                <div class="cart-content">
                                    <h1>Cart Summary</h1>
                                    <p>Sub Total<span>{{totalprixpromo}} DT</span></p>
                                    <h2>Grand Total<span>{{totalprixpromo}} DT</span></h2>
                                </div>
                                <div class="cart-btn">
                                   
                                    <button type="submit" (click)="testf()" [routerLink]="'/order'">Checkout</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>